#ifndef HBLASTREGRECORDDAO_H
#define HBLASTREGRECORDDAO_H

#include <QDebug>
#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>

#include "hblastregrecord.h"

class HBlastRegRecordDao {
   public:
    HBlastRegRecordDao(QSqlDatabase db);

    bool saveHBlastRegRecord(const HBlastEquipmentRecord &record);
    bool updateHBlastEquipmentRecord(const HBlastEquipmentRecord &record);
    bool deleteHBlastRegRecord(qint64 id);
    // HBlastRegRecord getHBlastRegRecordById(qint64 id);

   private:
    QSqlDatabase database;
};

#endif  // HBLASTREGRECORDDAO_H
